## fastml 0.2.0

=== DESCRIPTION ===
Package: fastml
Type: Package
Title: Fast Machine Learning Model Training and Evaluation
Version: 0.2.0
Authors@R: c(person("Selcuk", "Korkmaz", email="selcukorkmaz@gmail.com", role=c("aut", "cre"),
                    comment = c(ORCID = "0000-0003-4632-6850")), 
             person("Dincer", "Goksuluk", email="dincer.goksuluk@gmail.com", role="aut",
                    comment = c(ORCID = "0000-0002-2752-7668")))
Description: Streamlines the training, evaluation, and comparison of multiple machine learning models with minimal code by providing 
            comprehensive data preprocessing and support for a wide range of algorithms with hyperparameter tuning. 
            It offers performance metrics and visualization tools to facilitate efficient and effective machine learning workflows.
License: GPL (>= 2)
Encoding: UTF-8
Imports: recipes, dplyr, ggplot2, reshape2, foreach, doParallel,
        rsample, parsnip, tune, workflows, yardstick, tibble, rlang,
        stats, dials, magrittr
Suggests: testthat (>= 3.0.0), knitr, rmarkdown, C50, glmnet, xgboost,
        ranger, crayon, kernlab, discrim, baguette, plsmod, keras,
        lightgbm, bonsai, rstanarm
RoxygenNote: 7.3.2
NeedsCompilation: no
Packaged: 2024-11-30 22:53:29 UTC; selcukkorkmaz
Author: Selcuk Korkmaz [aut, cre] (<https://orcid.org/0000-0003-4632-6850>),
  Dincer Goksuluk [aut] (<https://orcid.org/0000-0002-2752-7668>)
Maintainer: Selcuk Korkmaz <selcukorkmaz@gmail.com>
Repository: CRAN
Date/Publication: 2024-11-30 23:10:02 UTC
