## fastml 0.6.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Package: fastml
 Type: Package
 Title: Fast Machine Learning Model Training and Evaluation
-Version: 0.5.0
-Date: 2025-03-07
+Version: 0.6.0
 Authors@R: c(person("Selcuk", "Korkmaz", email="selcukorkmaz@gmail.com", role=c("aut", "cre"),
                     comment = c(ORCID = "0000-0003-4632-6850")), 
              person("Dincer", "Goksuluk", email="dincer.goksuluk@gmail.com", role="aut",
@@ -12,8 +11,11 @@
 Description: Streamlines the training, evaluation, and comparison of multiple machine learning models with minimal code by providing 
             comprehensive data preprocessing and support for a wide range of algorithms with hyperparameter tuning. 
             It offers performance metrics and visualization tools to facilitate efficient and effective machine learning workflows.
-License: GPL (>= 2)
 Encoding: UTF-8
+License: MIT + file LICENSE
+URL: https://github.com/selcukorkmaz/fastml
+BugReports: https://github.com/selcukorkmaz/fastml/issues
+LazyData: true
 Imports: recipes, dplyr, ggplot2, reshape2, rsample, parsnip, tune,
         workflows, yardstick, tibble, rlang, dials, RColorBrewer,
         baguette, bonsai, discrim, doFuture, finetune, future, plsmod,
@@ -27,10 +29,13 @@
 RoxygenNote: 7.3.2
 Config/testthat/edition: 3
 NeedsCompilation: no
-Packaged: 2025-03-07 11:26:39 UTC; selcuk
-Author: Selcuk Korkmaz [aut, cre] (<https://orcid.org/0000-0003-4632-6850>),
-  Dincer Goksuluk [aut] (<https://orcid.org/0000-0002-2752-7668>),
-  Eda Karaismailoglu [aut] (<https://orcid.org/0000-0003-3085-7809>)
+Packaged: 2025-06-10 20:30:13 UTC; selcukkorkmaz
+Author: Selcuk Korkmaz [aut, cre] (ORCID:
+    <https://orcid.org/0000-0003-4632-6850>),
+  Dincer Goksuluk [aut] (ORCID: <https://orcid.org/0000-0002-2752-7668>),
+  Eda Karaismailoglu [aut] (ORCID:
+    <https://orcid.org/0000-0003-3085-7809>)
 Maintainer: Selcuk Korkmaz <selcukorkmaz@gmail.com>
+Depends: R (>= 3.5.0)
 Repository: CRAN
-Date/Publication: 2025-03-07 11:50:11 UTC
+Date/Publication: 2025-06-10 20:50:01 UTC
