## fastml 0.7.0

=== DESCRIPTION ===
Package: fastml
Type: Package
Title: Fast Machine Learning Model Training and Evaluation
Version: 0.7.0
Authors@R: c(person("Selcuk", "Korkmaz", email="selcukorkmaz@gmail.com", role=c("aut", "cre"),
                    comment = c(ORCID = "0000-0003-4632-6850")), 
             person("Dincer", "Goksuluk", email="dincer.goksuluk@gmail.com", role="aut",
                    comment = c(ORCID = "0000-0002-2752-7668")), 
             person("Eda", "Karaismailoglu", email="eda.karaismailoglu@sbu.edu.tr", role="aut",
                    comment = c(ORCID = "0000-0003-3085-7809")))
Description: Streamlines the training, evaluation, and comparison of multiple machine learning models with minimal code by providing 
            comprehensive data preprocessing and support for a wide range of algorithms with hyperparameter tuning. 
            It offers performance metrics and visualization tools to facilitate efficient and effective machine learning workflows.
Encoding: UTF-8
License: MIT + file LICENSE
URL: https://selcukorkmaz.github.io/fastml-tutorial/,
        https://github.com/selcukorkmaz/fastml
BugReports: https://github.com/selcukorkmaz/fastml/issues
Imports: methods, recipes, dplyr, ggplot2, reshape2, rsample, parsnip,
        tune, workflows, yardstick, tibble, rlang, dials, RColorBrewer,
        baguette, bonsai, discrim, doFuture, finetune, future, plsmod,
        probably, viridisLite, DALEX, magrittr, pROC, janitor, stringr,
        DT, UpSetR, VIM, broom, dbscan, ggpubr, gridExtra, htmlwidgets,
        kableExtra, moments, naniar, plotly, scales, skimr, tidyr,
        tidyselect, purrr, mice, missForest, survival, flexsurv,
        rstpm2, iml, lime, survRM2, ceterisParibus, xgboost, knitr,
        rmarkdown
Suggests: testthat (>= 3.0.0), C50, ranger, aorsf, censored, crayon,
        kernlab, klaR, kknn, keras, lightgbm, rstanarm, mixOmics, pdp,
        patchwork, GGally, glmnet, agua, bslib, h2o, mlbench,
        tidyverse,
RoxygenNote: 7.3.2
Config/testthat/edition: 3
NeedsCompilation: no
Packaged: 2025-10-29 19:08:23 UTC; selcukkorkmaz
Author: Selcuk Korkmaz [aut, cre] (ORCID:
    <https://orcid.org/0000-0003-4632-6850>),
  Dincer Goksuluk [aut] (ORCID: <https://orcid.org/0000-0002-2752-7668>),
  Eda Karaismailoglu [aut] (ORCID:
    <https://orcid.org/0000-0003-3085-7809>)
Maintainer: Selcuk Korkmaz <selcukorkmaz@gmail.com>
Repository: CRAN
Date/Publication: 2025-10-29 19:40:07 UTC
