=== programs/gainLoss/Makefile ===
#! /usr/local/bin/gmake
#  $Id: Makefile cohenofi $

# In order to compile with doubleRep run make like this:  make doubleRep

Libsources= gainLossOptions.cpp  gainLoss.cpp  gainLossUtils.cpp optimizeGainLossModel.cpp  optimizeGainLossModelVV.cpp likelihoodComputationGL.cpp gainLossModel.cpp siteSpecificGL.cpp computePosteriorExpectationOfChange.cpp gainLossProject.cpp gainLossOptimizer.cpp  ancestralReconstructStates.cpp rate4siteGL.cpp computeCountsGL.cpp computeCorrelations.cpp gainLoss4site.cpp simulateChangesAlongTree.cpp simulateOnePos.cpp bblLS.cpp sankoffReconstructGL.cpp

#Libsources=
LIBNAME = gainLoss

# LibCsources= cmdline.c
# LibCsources += getopt.c getopt1.c 

EXEC = gainLoss



include ../Makefile.generic
