=== debian/changelog ===
fastml (3.1-4) unstable; urgency=medium

  * Cleanup d/rules
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.5

 -- Andreas Tille <tille@debian.org>  Wed, 11 Jul 2018 21:21:03 +0200

fastml (3.1-3) unstable; urgency=medium

  * Team upload

  [ Gert Wollny ]
  * d/p/remove-template-depth.patch add patch to not restrict template 
    depth. (Default with g++-6 is 900)
  * d/p/g++-6.patch: fix compilation with g++-6, Closes: #811944
  * d/control: Update standards version to 3.9.8 

  [ Andreas Tille ]
  * cme fix dpkg-control
  * Better hardening

 -- Gert Wollny <gw.fossdev@gmail.com>  Tue, 10 May 2016 09:46:15 +0000

fastml (3.1-2) unstable; urgency=medium

  * Turn on testing in general but exclude failed tests

 -- Andreas Tille <tille@debian.org>  Thu, 17 Dec 2015 13:10:06 +0100

fastml (3.1-1) unstable; urgency=low

  * Initial release (Closes: #805529)

 -- Andreas Tille <tille@debian.org>  Thu, 19 Nov 2015 09:01:33 +0100
