=== debian/control ===
Source: fastml
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11~)
Standards-Version: 4.1.5
Vcs-Browser: https://salsa.debian.org/med-team/fastml
Vcs-Git: https://salsa.debian.org/med-team/fastml.git
Homepage: http://fastml.tau.ac.il/

Package: fastml
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: maximum likelihood ancestral amino-acid sequence reconstruction
 FastML is a bioinformatics tool for the reconstruction of ancestral
 sequences based on the phylogenetic relations between homologous
 sequences. FastML runs several algorithms that reconstruct the ancestral
 sequences with emphasis on an accurate reconstruction of both indels and
 characters. For character reconstruction the previously described FastML
 algorithms are used to efficiently infer the most likely ancestral
 sequences for each internal node of the tree. Both joint and the
 marginal reconstructions are provided. For indels reconstruction the
 sequences are first coded according to the indel events detected within
 the multiple sequence alignment (MSA) and then a state-of-the-art
 likelihood model is used to reconstruct ancestral indels states. The
 results are the most probable sequences, together with posterior
 probabilities for each character and indel at each sequence position for
 each internal node of the tree. FastML is generic and is applicable for
 any type of molecular sequences (nucleotide, protein, or codon
 sequences).
