=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -f libs/phylogeny/make.dep \
	      programs/fastml/make.dep \
	      programs/gainLoss/make.dep \
	      programs/indelCoder/make.dep
