=== libs/phylogeny/Makefile ===
--- 
+++ 
@@ -88,8 +88,8 @@
 
 #LDFLAGS=  
 
-CPPFLAGS=  -O3 -Wall -Wno-sign-compare -I. -DLOG -ftemplate-depth-32
-CPPFLAGSDEBUG= -g -Wall -Wno-sign-compare -I. -DLOG -ftemplate-depth-32 -DVERBOS
+CPPFLAGS=  -O3 -Wall -Wno-sign-compare -I. -DLOG 
+CPPFLAGSDEBUG= -g -Wall -Wno-sign-compare -I. -DLOG -DVERBOS
 #CPPFLAGSDOU=  $(CPPFLAGS) 
 #-pg
 
@@ -120,7 +120,7 @@
 LDFLAGSDEBUG +=  -DDOUBLEREP
 endif
 
-debug: CPPFLAGS = -g -Wall -Wno-sign-compare -I. -DLOG -ftemplate-depth-32
+debug: CPPFLAGS = -g -Wall -Wno-sign-compare -I. -DLOG 
 debug:  $(DEBUGLIB)
 pl:
 	@echo "lib  ="$(LIB)
@@ -129,7 +129,7 @@
 #	cp libEvolTree.a libEvolTreeDebug.a
 
 # <<<<<<< Makefile
-# %.debug: CPPFLAGS = -g -Wall -Wno-sign-compare -I. -DLOG -ftemplate-depth-25
+# %.debug: CPPFLAGS = -g -Wall -Wno-sign-compare -I. -DLOG 
 # % debug: LIB = libEvolTreeDebug.a
 # %.debug: %
 # 	@echo "made \""$(*)"\" in debug mode"
