=== programs/fastml/Makefile ===
#! /usr/local/bin/gmake
#  $Id: Makefile 1215 2006-11-28 15:53:23Z osnatz $

# In order to compile with doubleRep run make like this:  make doubleRep

Libsources= fastml.cpp bbAlg.cpp bbComputeDownAlg.cpp bbComputeUpAlg.cpp bbEvaluateSpecificAV.cpp bbfindBestAVDynProg.cpp bbNodeOrderAlg.cpp bb_options.cpp bbReport.cpp computeMarginalReconstruction.cpp jointNoGamma.cpp mainbb.cpp sequenceDataDiff.cpp suffStatComponentJointNoGamma.cpp

#Libsources=
LIBNAME = fastml

# LibCsources= cmdline.c
# LibCsources += getopt.c getopt1.c 

EXEC = fastml



include ../Makefile.generic
