=== programs/indelCoder/Makefile ===
#! /usr/local/bin/gmake
#  $Id: Makefile cohenofi $

# In order to compile with doubleRep run make like this:  make doubleRep

Libsources= indelCoder.cpp indelCoderOptions.cpp indelCoderProject.cpp indelCoderUtils.cpp character.cpp gaps.cpp 

#Libsources=
LIBNAME = indelCoder

# LibCsources= cmdline.c
# LibCsources += getopt.c getopt1.c 

EXEC = indelCoder



include ../Makefile.generic
