=== debian/changelog ===
fastml (3.11-4) unstable; urgency=medium

  * Fix clean target
    Closes: #1044832
  * Standards-Version: 4.6.2 (routine-update)
  * d/watch: Upstream download vanished

 -- Andreas Tille <tille@debian.org>  Wed, 24 Jan 2024 17:23:21 +0100

fastml (3.11-3) unstable; urgency=medium

  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * watch file standard 4 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 17 Dec 2020 15:31:13 +0100

fastml (3.11-2) unstable; urgency=medium

  * Description: Enable cross building
    Closes: #933405

 -- Andreas Tille <tille@debian.org>  Tue, 30 Jul 2019 16:01:25 +0200

fastml (3.11-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.
  * Trim trailing whitespace.

  [ Andreas Tille ]
  * New upstream version
  * debhelper 12
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Fri, 19 Jul 2019 20:41:51 +0200
