=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~)
-Standards-Version: 4.1.5
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/fastml
 Vcs-Git: https://salsa.debian.org/med-team/fastml.git
 Homepage: http://fastml.tau.ac.il/
+Rules-Requires-Root: no
 
 Package: fastml
 Architecture: any
