=== debian/rules ===
--- 
+++ 
@@ -13,3 +13,5 @@
 	      programs/fastml/make.dep \
 	      programs/gainLoss/make.dep \
 	      programs/indelCoder/make.dep
+	rm -rf bin
+	find libs/phylogeny/tests -type f -executable -delete
